Customer KYC Update
curl --request POST \
--url https://devapi.withedge.co/gateway/api/v1/customer/kyc/{customerId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'requestId: <requestid>' \
--data '
{
"nin": "<string>",
"livePicture": "<string>"
}
'import requests
url = "https://devapi.withedge.co/gateway/api/v1/customer/kyc/{customerId}"
payload = {
"nin": "<string>",
"livePicture": "<string>"
}
headers = {
"requestId": "<requestid>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
requestId: '<requestid>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({nin: '<string>', livePicture: '<string>'})
};
fetch('https://devapi.withedge.co/gateway/api/v1/customer/kyc/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": "00",
"message": "Customer KYC Tier Successfully updated",
"data": {
"customerId": "7100987614",
"kycTier": "0"
},
"errors": []
}
Customer
Customer KYC Update
This endpoint enables you to update an existing customer’s KYC tier.
POST
/
customer
/
kyc
/
{customerId}
Customer KYC Update
Customer KYC Update
Use this endpoint to update the KYC tier of an existing customer. You must provide either the nin (National Identification Number) or the livePicture parameter to successfully make this call.Additional Information
This endpoint must be called using either the nin or the livePicture, but not both.
Request Parameters
A unique identifier for the request, used for idempotency.
Example:
Example:
e0b9f8d0-7a57-4a67-a8b2-4d7c7b5a37c9The unique identifier for the customer whose KYC tier is being updated.
Example:
Example:
7100987614The National Identification Number of the customer.
Example:
Example:
12345678901A live picture of the customer for verification purposes.
Example:
Example:
base64encodedstringofpicture{
"statusCode": "00",
"message": "Customer KYC Tier Successfully updated",
"data": {
"customerId": "7100987614",
"kycTier": "0"
},
"errors": []
}
Was this page helpful?
⌘I